#pragma once
#include "../../Tool_Common/RsCommon/ErrorDefine.h"
#include "../../CpComm/Comm_Export/CpCommInclude.h"
#include "../../Tool_Common/RsDataType.h"


class CDevI2CRw
{
public:
    CDevI2CRw(void);
    virtual ~CDevI2CRw(void);

    STRUCT_ENUM_ERROR_TYPE InitI2CDev();
    STRUCT_ENUM_ERROR_TYPE ReleaseI2CDev();
    STRUCT_ENUM_ERROR_TYPE IICWrite(BYTE ucSlave, BYTE ucSub, WORD usLength, const BYTE* pucBuf);
    STRUCT_ENUM_ERROR_TYPE IICRead(BYTE ucSlave, BYTE ucSub, WORD usLength, BYTE* pucBuf);
    STRUCT_ENUM_ERROR_TYPE IICCurrentRead(BYTE ucSlave, WORD usLength, BYTE* pucBuf);

private:
    int m_fd;
    BYTE m_ucSlaveAddr;

};
