#pragma once
#include <string>
#include <iostream>
#include <fstream>
#include "../../Tool_Common/RsDataType.h"
using namespace std;

#define MAX_DIR_LENGTH 256



void Gotoxy(int x, int y);

class CCpIspProgress
{
public:
	CCpIspProgress();
	~CCpIspProgress();

	void StepIt();
	BOOL SetRange(DWORD ulMinNum, DWORD ulMaxNum);
	void SetStep(DWORD ulStepNum);
	void SetPrintSwitch(BOOL bEnable);
	BOOL GetPrintSwitch();
	BOOL GetRecordResultSwitch();
	void SetRecordResultSwitch(BOOL bEnable);
	void ReocordISPResult(string strPath, DWORD ulProgress);
	DWORD GetCurrentProgress();
private:
	DWORD ulMin;
	DWORD ulMax;
	DWORD ulStep;
	DWORD ulCurrentIndex;
	BOOL bEnablePrint;
	BOOL bEnableRecordResult;
};